local assets =
{
	    Asset("ANIM", "anim/diviningrod_fx.zip"),
}

local prefabs =
{
    "dr_hot_loop",
    "dr_warmer_loop",
    "dr_warm_loop_2",
    "dr_warm_loop_1",
}

local function fadeout(inst)
   inst:DoTaskInTime(0, ErodeAway)
end

			 
			 
local function fn()
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
	inst.entity:AddNetwork()
    
	

    if not TheWorld.ismastersim then
        return inst
    end

	inst.entity:SetPristine()
	
    anim:SetBank("diviningrod_fx")
    anim:SetBuild("diviningrod_fx")
    anim:PlayAnimation("hot_loop",true)
    inst:AddTag("fx") 
	
   inst:DoTaskInTime(2, fadeout)
    return inst
end

return Prefab( "common/inventory/lunartrapfx", fn, assets) 
